import React, { Component } from 'react';
import { connect } from 'react-redux';
import { LocaleProvider } from 'antd';
import zhCN from 'antd/lib/locale-provider/zh_CN';

export default class Index extends Component {
  render() {
    return (
      <LocaleProvider locale={zhCN}>
        <div className="cc-content">
          {this.props.children}
        </div>
      </LocaleProvider>
    );
  }
}
