import React from 'react';
import { Route, IndexRoute, IndexRedirect } from 'react-router';
import Index from '@/containers/index';
import Staffs from '@/containers/departments/staffs';
import StaffDetail from '@/containers/departments/staffs/detail';

export default (
  <Route path="/" component={Index}>
    <IndexRedirect to="/departments/staffs" />

    <Route path="departments">
      <Route path="staffs">
        <IndexRoute component={Staffs} />
        <Route path=":id" component={StaffDetail} />
      </Route>
    </Route>

  </Route>
);
